"use strict";
var OBD = require('obd-parser');
var _ = require('lodash');
/**
 * Returns the commander singleton, but with a custom interface applied
 * @return {InterfaceCLI}
 */
function getProgram() {
    return global.program;
}
exports.getProgram = getProgram;
function getPidInstances() {
    var ps = _.map(_.keys(OBD.PIDS), function (p) {
        if (p === 'PID') {
            // The base class should not be constructed
            return null;
        }
        return new OBD.PIDS[p]();
    });
    return _.remove(ps, function (pid) {
        return pid !== null;
    });
}
exports.getPidInstances = getPidInstances;
function getPidByCode(code) {
    return _.find(getPidInstances(), function (p) {
        return p.getPid() === code.toUpperCase();
    });
}
exports.getPidByCode = getPidByCode;
function getPidByName(name) {
    return _.find(getPidInstances(), function (p) {
        return p.getName().toUpperCase() === name.toUpperCase();
    });
}
exports.getPidByName = getPidByName;
